Modify Members¶
POST /api/v1/workspace/member/batch_modify
Overview¶
Modify one or multiple members.
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| accountUUIDs | array | Y | Account list Example: ['Account UUID1 not in workspace', 'Account UUID2 not in workspace'] Allow empty: True |
| roleUUIDs | array | Y | User role UUID list Example: None Allow empty: False |
| onlyModifyRoles | boolean | Y | Whether to modify only member roles. True means team information will not be modified. Example: True Allow empty: False |
| memberGroupUUIDs | array | Team list Example: ['xxx', 'xxx'] Allow empty: True |
|
| acntWsNickname | string | Account nickname in this workspace. Example: Nickname AAA Allow empty: True $maxCustomLength: 128 |
Parameter Additional Notes¶
Data description.*
When modifying member roles, if the roleUUIDs contains roles that require Token approval (Free Plan for SaaS, no Billing Center approval required for PaaS), it must also include the UUID of a role that does not require approval.
- Request Parameter Description
| Parameter Name | type | Description |
|---|---|---|
| accountUUIDs | list | Member account UUIDs |
| roleUUIDs | list | Role UUIDs |
| onlyModifyRoles | boolean | Whether to modify only role information (true for batch modification, false for single modification) |
| memberGroupUUIDs | list | Team information is required when modifying a single member. |
| acntWsNickname | string | Account nickname in the workspace. |
| ------ |
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/workspace/member/batch_modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"accountUUIDs": ["acnt_xxxx32"], "onlyModifyRoles": true, "roleUUIDs": ["general","wsAdmin"]}' \
--compressed
Response¶
{
"code": 200,
"content": {
"autoLoginUrl": "http://testing-zc-portal.cloudflux.cn/#/signin?from=http:%2F%2Ftesting-zc-portal.cloudflux.cn%2Fportal.html%23%2Finfo%2Flist&ticket=7d628f01-6c63-454a-8cf7-7c30678a9b0d"
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "TRACE-F0E7FBC3-3A2B-4843-9B5E-DAD070AB812B"
}